package cn.novalon.manage.sys.core.service;

import cn.novalon.manage.sys.core.domain.Dictionary;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface IDictionaryService {
    Flux<Dictionary> findAll();
    Mono<Dictionary> findById(Long id);
    Flux<Dictionary> findByType(String type);
    Mono<Boolean> checkTypeAndCodeExists(String type, String code);
    Mono<Dictionary> save(Dictionary dictionary);
    Mono<Dictionary> update(Long id, Dictionary dictionary);
    Mono<Void> deleteById(Long id);
}
